# Default Comment Form

#### API V2 JSON

```json
{
  "title": {
    "value": {
      "param": {
        "type": "string",
        "regex": ".{1,500}"
      }
    },
    "order": 0,
    "description": "Brief summary of your comment."
  },
  "comment": {
    "value": {
      "param": {
        "type": "string",
        "minLength": 1,
        "maxLength": 5000,
        "input": "textarea",
        "markdown": true
      }
    },
    "order": 1,
    "description": "Your comment or reply (max 5000 characters). Add formatting using Markdown and formulas using LaTeX. For more information see https://openreview.net/faq"
  }
}
```

#### API V1 JSON

```json
{
  "title": {
      "order": 0,
      "value-regex": ".{1,500}",
      "description": "Brief summary of your comment.",
      "required": true
  },
  "comment": {
      "order": 1,
      "value-regex": "[\\S\\s]{1,5000}",
      "description": "Your comment or reply (max 5000 characters). Add formatting using Markdown and formulas using LaTeX. For more information see https://openreview.net/faq",
      "required": true,
      "markdown": true
  }
}
```

#### Preview

![Commen](https://openreview.net/images/faq-comment-form.png)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openreview.net/reference/default-forms/default-comment-form.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
